# The Browser Extension of Slash

Slash provides a browser extension to help you use your shortcuts in the search bar to go to the corresponding URL.

## How to use

### Install the extension

For Chromuim based browsers, you can install the extension from the [Chrome Web Store](https://chrome.google.com/webstore/detail/slash/ebaiehmkammnacjadffpicipfckgeobg).

For Firefox, you can install the extension from the [Firefox Add-ons](https://addons.mozilla.org/en-US/firefox/addon/your-slash/).

### Generate an access token

1. Go to your Slash instance and sign in with your account.

2. Go to the settings page and click on the "Create" button to create an access token.

   ![](./assets/extension-usage/create-access-token.png)

3. Copy the access token and save it somewhere safe.

   ![](./assets/extension-usage/copy-access-token.png)

### Configure the extension

1. Click on the extension icon and click on the "Settings" button.

   ![](./assets/extension-usage/extension-setting-button.png)

2. Enter your Slash's domain and paste the access token you generated in the previous step.

   ![](./assets/extension-usage/extension-setting-page.png)

3. Click on the "Save" button to save the settings.

4. Click on the extension icon again, you will see a list of your shortcuts.

   ![](./assets/extension-usage/extension-screenshot.png)

### Use your shortcuts in the search bar

You can use your shortcuts in the search bar of your browser. For example, if you have a shortcut named `gh` for [GitHub](https://github.com), you can type `s/gh` in the search bar and press `Enter` to go to [GitHub](https://github.com).

![](./assets/extension-usage/shortcut-url.png)
